Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.model
Class StyleDescription

    java.lang.Object
      org.apache.poi.hwpf.model.StyleDescription

All Implemented Interfaces:
  HDFType

    public final class StyleDescription

extends java.lang.Object
implements HDFType

Comment me

Author:
  Ryan Ackley

Constructor Summary
`StyleDescription()`
`StyleDescription(byte[] std, int baseLength, int offset, boolean word9)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`int` | `getBaseStyle()`
`CharacterProperties` | `getCHP()`
`byte[]` | `getCHPX()`
`java.lang.String` | `getName()`
`ParagraphProperties` | `getPAP()`
`byte[]` | `getPAPX()`
`int` | `hashCode()`
`byte[]` | `toByteArray()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StyleDescription

    public StyleDescription()

### StyleDescription

    public StyleDescription(byte[] std,
                            int baseLength,
                            int offset,
                            boolean word9)

Method Detail

### getBaseStyle

    public int getBaseStyle()

### getCHPX

    public byte[] getCHPX()

### getPAPX

    public byte[] getPAPX()

### getPAP

    public ParagraphProperties getPAP()

### getCHP

    public CharacterProperties getCHP()

### getName

    public java.lang.String getName()

### toByteArray

    public byte[] toByteArray()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD